Subject: Re: [RFC] TCP congestion schedulers

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 18 Mar 2005 09:53:25 -0300

On Thu, 17 Mar 2005 20:12:31 -0800, David S. Miller <[email-masked]> wrote:
> On Mon, 14 Mar 2005 15:17:26 -0800
> Stephen Hemminger <[email-masked]> wrote:
> 
> > +/* Hook for advanced congestion control */
> > +     struct tcp_ca_type *ca_proto;
> > +#define TCP_CA_PRIV_SIZE     48
> > +     u8               *ca_priv[TCP_CA_PRIV_SIZE];
> 
> An array of 48 pointers to "u8" eh? :-)
> 
> It happens to work, but you're using too much
> space (specifically: 48 * sizeof(u8 *)) as a side effect.
> 
> Otherwise, the only comment I have is that we lose the tcp_diag
> info.  Maybe create a "tcpdiag_put" method in there so we can
> retain that.
> 
> I'm also not so religious anymore about retaining the existing
> sysctl functionality to enable/disable ca algs.

I haven't looked over this patch completely, so I may well be saying something
stupid, but if possible, please don't use the tcp/TCP prefix where you
think this
code can be used by other inet transport protocols, such as DCCP. I'll try to
review this patch this weekend to see if this is possible or if I'm on
crack now 8)

- Arnaldo